Ext.data.JsonP.de_epages_presentation_tray_mainview({"tagname":"class","name":"de_epages.presentation.tray.mainview","autodetected":{},"files":[{"filename":"main-view.js","href":"main-view.html#de_epages-presentation-tray-mainview"}],"author":[{"tagname":"author","name":"Copyright 2006-2013, epages GmbH, All Rights Reserved","email":null}],"uses":["Backbone","jQuery","jQuery.ui.tabs"],"return":{"type":"Object","name":"return","doc":"<p>Mainview</p>\n","properties":null,"html_type":"Object"},"members":[{"name":"constructor","tagname":"method","owner":"de_epages.presentation.tray.mainview","id":"method-constructor","meta":{}},{"name":"createContent","tagname":"method","owner":"de_epages.presentation.tray.mainview","id":"method-createContent","meta":{}},{"name":"getSelectedElements","tagname":"method","owner":"de_epages.presentation.tray.mainview","id":"method-getSelectedElements","meta":{}},{"name":"initialize","tagname":"method","owner":"de_epages.presentation.tray.mainview","id":"method-initialize","meta":{}},{"name":"render","tagname":"method","owner":"de_epages.presentation.tray.mainview","id":"method-render","meta":{"chainable":true}},{"name":"setSubContent","tagname":"method","owner":"de_epages.presentation.tray.mainview","id":"method-setSubContent","meta":{}},{"name":"setTabContent","tagname":"method","owner":"de_epages.presentation.tray.mainview","id":"method-setTabContent","meta":{}},{"name":"showSearchResults","tagname":"method","owner":"de_epages.presentation.tray.mainview","id":"method-showSearchResults","meta":{}},{"name":"updateSelectedElements","tagname":"method","owner":"de_epages.presentation.tray.mainview","id":"method-updateSelectedElements","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-de_epages.presentation.tray.mainview","short_doc":"The tray's main view for use without a dialog\n\nExample\n\n$('.ep-tray').uiTray({\n    label: 'Add Products',\n    smartse...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Uses</h4><div class='dependency'>Backbone</div><div class='dependency'><a href='#!/api/jQuery' rel='jQuery' class='docClass'>jQuery</a></div><div class='dependency'>jQuery.ui.tabs</div><h4>Files</h4><div class='dependency'><a href='source/main-view.html#de_epages-presentation-tray-mainview' target='_blank'>main-view.js</a></div></pre><div class='doc-contents'><p>The tray's main view for use without a dialog</p>\n\n<h3>Example</h3>\n\n<pre><code>$('.ep-tray').uiTray({\n    label: 'Add Products',\n    smartsearch: 'JSONSmartSearchProductAlias',\n    tabs: {\n        products: {\n            id: #Shop.ProductFolder.ID\n            action: 'JSONSearchProductsToInsert',\n            additionalContent: '&lt;a href=\"#\"&gt;Additional content&lt;/a&gt;'\n        }\n    }\n});\n</code></pre>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>Mainview</p>\n</div></li></ul></div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-constructor' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='de_epages.presentation.tray.mainview'>de_epages.presentation.tray.mainview</span><br/><a href='source/main-view.html#de_epages-presentation-tray-mainview-method-constructor' target='_blank' class='view-source'>view source</a></div><strong class='new-keyword'>new</strong><a href='#!/api/de_epages.presentation.tray.mainview-method-constructor' class='name expandable'>de_epages.presentation.tray.mainview</a>( <span class='pre'>options</span> ) : <a href=\"#!/api/de_epages.presentation.tray.mainview\" rel=\"de_epages.presentation.tray.mainview\" class=\"docClass\">de_epages.presentation.tray.mainview</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Options to pass to the main view ...</div><div class='long'><p>Options to pass to the main view</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>options</span> : Object<div class='sub-desc'>\n<ul><li><span class='pre'>useTray</span> : Boolean (optional)<div class='sub-desc'><p>Whether an explicit tray tab should be displayed or not</p>\n<p>Defaults to: <code>false</code></p></div></li><li><span class='pre'>tabs</span> : Object (optional)<div class='sub-desc'><p>Key-value-pairs of tab name and corresponding view action</p>\n<p>Defaults to: <code>undefined</code></p></div></li></ul></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/de_epages.presentation.tray.mainview\" rel=\"de_epages.presentation.tray.mainview\" class=\"docClass\">de_epages.presentation.tray.mainview</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-createContent' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='de_epages.presentation.tray.mainview'>de_epages.presentation.tray.mainview</span><br/><a href='source/main-view.html#de_epages-presentation-tray-mainview-method-createContent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/de_epages.presentation.tray.mainview-method-createContent' class='name expandable'>createContent</a>( <span class='pre'>identifier, context</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a new view with given name and context ...</div><div class='long'><p>Creates a new view with given name and context</p>\n        <p>Available since: <b>6.17.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>identifier</span> : String<div class='sub-desc'><p>String or id that identifies the view</p>\n</div></li><li><span class='pre'>context</span> : String<div class='sub-desc'><p>Context that binds the view to a specific tab</p>\n</div></li></ul></div></div></div><div id='method-getSelectedElements' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='de_epages.presentation.tray.mainview'>de_epages.presentation.tray.mainview</span><br/><a href='source/main-view.html#de_epages-presentation-tray-mainview-method-getSelectedElements' target='_blank' class='view-source'>view source</a></div><a href='#!/api/de_epages.presentation.tray.mainview-method-getSelectedElements' class='name expandable'>getSelectedElements</a>( <span class='pre'></span> ) : Array<span class=\"signature\"></span></div><div class='description'><div class='short'>Fetches all currently selected items from the tray grouped by type ...</div><div class='long'><p>Fetches all currently selected items from the tray grouped by type</p>\n        <p>Available since: <b>6.17.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Array</span><div class='sub-desc'><p>Array of objects that were selected. Divided into items and corresponding options</p>\n</div></li></ul></div></div></div><div id='method-initialize' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='de_epages.presentation.tray.mainview'>de_epages.presentation.tray.mainview</span><br/><a href='source/main-view.html#de_epages-presentation-tray-mainview-method-initialize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/de_epages.presentation.tray.mainview-method-initialize' class='name expandable'>initialize</a>( <span class='pre'>options</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Initialize options and prepare data to render tabs afterwards ...</div><div class='long'><p>Initialize options and prepare data to render tabs afterwards</p>\n        <p>Available since: <b>6.17.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>options</span> : Object<div class='sub-desc'></div></li></ul></div></div></div><div id='method-render' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='de_epages.presentation.tray.mainview'>de_epages.presentation.tray.mainview</span><br/><a href='source/main-view.html#de_epages-presentation-tray-mainview-method-render' target='_blank' class='view-source'>view source</a></div><a href='#!/api/de_epages.presentation.tray.mainview-method-render' class='name expandable'>render</a>( <span class='pre'></span> ) : Object<span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Render tabs according to set options ...</div><div class='long'><p>Render tabs according to set options</p>\n        <p>Available since: <b>6.17.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>Backbone.View</p>\n</div></li></ul></div></div></div><div id='method-setSubContent' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='de_epages.presentation.tray.mainview'>de_epages.presentation.tray.mainview</span><br/><a href='source/main-view.html#de_epages-presentation-tray-mainview-method-setSubContent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/de_epages.presentation.tray.mainview-method-setSubContent' class='name expandable'>setSubContent</a>( <span class='pre'>identifier</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the content of the specified tab ...</div><div class='long'><p>Sets the content of the specified tab</p>\n        <p>Available since: <b>6.17.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>identifier</span> : mixed<div class='sub-desc'><p>String or id that identifies the view</p>\n</div></li></ul></div></div></div><div id='method-setTabContent' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='de_epages.presentation.tray.mainview'>de_epages.presentation.tray.mainview</span><br/><a href='source/main-view.html#de_epages-presentation-tray-mainview-method-setTabContent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/de_epages.presentation.tray.mainview-method-setTabContent' class='name expandable'>setTabContent</a>( <span class='pre'>alias</span> ) : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Create an instance of a subview if none exists and render it into the corresponding tab content area or get a chached...</div><div class='long'><p>Create an instance of a subview if none exists and render it into the corresponding tab content area or get a chached one</p>\n        <p>Available since: <b>6.17.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>alias</span> : String<div class='sub-desc'><p>The alias of the tab which should be rendered</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>Backbone.View</p>\n</div></li></ul></div></div></div><div id='method-showSearchResults' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='de_epages.presentation.tray.mainview'>de_epages.presentation.tray.mainview</span><br/><a href='source/main-view.html#de_epages-presentation-tray-mainview-method-showSearchResults' target='_blank' class='view-source'>view source</a></div><a href='#!/api/de_epages.presentation.tray.mainview-method-showSearchResults' class='name expandable'>showSearchResults</a>( <span class='pre'>searchString</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Show results of a search in an extra view that cannot be cached ...</div><div class='long'><p>Show results of a search in an extra view that cannot be cached</p>\n        <p>Available since: <b>6.17.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>searchString</span> : String<div class='sub-desc'><p>String by which the results are filtered</p>\n</div></li></ul></div></div></div><div id='method-updateSelectedElements' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='de_epages.presentation.tray.mainview'>de_epages.presentation.tray.mainview</span><br/><a href='source/main-view.html#de_epages-presentation-tray-mainview-method-updateSelectedElements' target='_blank' class='view-source'>view source</a></div><a href='#!/api/de_epages.presentation.tray.mainview-method-updateSelectedElements' class='name expandable'>updateSelectedElements</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Update elements number on the 'selected' tab ...</div><div class='long'><p>Update elements number on the 'selected' tab</p>\n        <p>Available since: <b>6.17.0</b></p>\n</div></div></div></div></div></div></div>","meta":{}});