Ext.data.JsonP.jQuery_ui_presentationUiUploadImage({"tagname":"class","name":"jQuery.ui.presentationUiUploadImage","autodetected":{},"files":[{"filename":"uploadimage.js","href":"uploadimage.html#jQuery-ui-presentationUiUploadImage"}],"extends":"jQuery.widget","uses":["de_epages.presentation.ui.uploader","ep.ajax","ep.alert","ep.i18n","ep.ui.input","ep.ui.lightbox","ep.ui.tooltip","jQuery.dict","jQuery.tmpl","jQuery.uid"],"since":"6.15.0","members":[{"name":"options","tagname":"cfg","owner":"jQuery.ui.presentationUiUploadImage","id":"cfg-options","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.presentationUiUploadImage","short_doc":"Create an image uploader. ...","component":false,"superclasses":["jQuery.widget"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.widget<div class='subclass '><strong>jQuery.ui.presentationUiUploadImage</strong></div></div><h4>Uses</h4><div class='dependency'>de_epages.presentation.ui.uploader</div><div class='dependency'>ep.ajax</div><div class='dependency'>ep.alert</div><div class='dependency'><a href='#!/api/ep.i18n' rel='ep.i18n' class='docClass'>ep.i18n</a></div><div class='dependency'>ep.ui.input</div><div class='dependency'>ep.ui.lightbox</div><div class='dependency'>ep.ui.tooltip</div><div class='dependency'>jQuery.dict</div><div class='dependency'>jQuery.tmpl</div><div class='dependency'>jQuery.uid</div><h4>Files</h4><div class='dependency'><a href='source/uploadimage.html#jQuery-ui-presentationUiUploadImage' target='_blank'>uploadimage.js</a></div></pre><div class='doc-contents'><p>Create an image uploader.</p>\n\n<p>The <code>.presentationUiUploadImage()</code> renders an image uploader, i.e. a <code>div</code> containing a title, an image, an upload button, a delete button and,\nif needed, a checkbox with a label, which determines whether a newly uploaded image will be scaled on the server.</p>\n\n<h3>Examples</h3>\n\n<p>Render a basic image uploader with no image previously set.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>&lt;div id='uploadImage-widget'&gt;&lt;/div&gt;\n&lt;script&gt;\nde_epages('#uploadImage-widget')\n.presentationUiUploadImage();\n&lt;/script&gt;\n</code></pre>\n\n<p>Render an image uploader with a previously set image,a checkbox with a label. Also, pass along data objects needed for the upload and delete requests.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>&lt;div id='uploadImage-widget'&gt;&lt;/div&gt;\n&lt;script&gt;\nde_epages('#uploadImage-widget')\n.presentationUiUploadImage({\nimagePath : '/WebRoot/Store/Shops/DemoShop/image.jpg',\nscaleText : 'Do you want the server to change the image's size during the upload process?',\nuploadData : {\nViewAction : 'JSONViewResponse',\nObjectID : 2436278,\nChangeAction : 'UploadSmallProductImage',\nImage : 'ImageSmall',\nWidth : 100,\nHeight : 100,\nUseMediaGallery : 0\n},\ndeleteData : {\nViewAction : 'JSONViewResponse',\nObjectID : 2436278,\nChangeAction : 'DeleteSmallProductImage',\nACCEPT : 1,\nFile : 'ImageSmall'\n}\n});\n&lt;/script&gt;\n</code></pre>\n        <p>Available since: <b>6.15.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-options' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.presentationUiUploadImage'>jQuery.ui.presentationUiUploadImage</span><br/><a href='source/uploadimage.html#jQuery-ui-presentationUiUploadImage-cfg-options' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.presentationUiUploadImage-cfg-options' class='name expandable'>options</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Options to be passed to the widgt on initialzation ...</div><div class='long'><p>Options to be passed to the widgt on initialzation</p>\n<ul><li><span class='pre'>addClass</span> : String (optional)<div class='sub-desc'><p>Optional class which is added to the widget element.</p>\n<p>Defaults to: <code>null</code></p></div></li><li><span class='pre'>showPreview</span> : Boolean (optional)<div class='sub-desc'><p>A boolean value determining whether the preview should be shown.</p>\n<p>Defaults to: <code>true</code></p></div></li><li><span class='pre'>multiple</span> : Boolean (optional)<div class='sub-desc'><p>A boolean value determining whether it should be possible to upload more than one file at once.</p>\n<p>Defaults to: <code>false</code></p></div></li><li><span class='pre'>big</span> : Boolean (optional)<div class='sub-desc'><p>A boolean value determining whether the upload button should be styled BIG.</p>\n<p>Defaults to: <code>false</code></p></div></li><li><span class='pre'>imagePath</span> : String (optional)<div class='sub-desc'><p>A string containing the link to an image which is to be displayed by the image uploader.</p>\n<p>Defaults to: <code>&#39;&#39;</code></p></div></li><li><span class='pre'>defaultImage</span> : String (optional)<div class='sub-desc'><p>Path to a default image to be displayed after an image has been deleted. Note that only images passed to imagePath will be displayed. This will only show up on screen after an image which was previously set by imagePath was deleted.</p>\n<p>Defaults to: <code>&#39;&#39;</code></p></div></li><li><span class='pre'>scales</span> : Boolean (optional)<div class='sub-desc'><p>A boolean value determining whether a newly uploaded image will be scaled on the server. If true, the image will be scaled according to the Width and Height properties passed in the uploadData option.</p>\n<p>Defaults to: <code>false</code></p></div></li><li><span class='pre'>confirm</span> : Number (optional)<div class='sub-desc'><p>A bit determining whether to ask the user for confirmation after clicking the delete button.</p>\n<p>Defaults to: <code>1</code></p></div></li><li><span class='pre'>accept</span> : String (optional)<div class='sub-desc'><p>A string of MIME types and/or MIME type groups to be accepted by the uploader.</p>\n<p>Defaults to: <code>&#39;image/&amp;#42;&#39;</code></p></div></li><li><span class='pre'>title</span> : String (optional)<div class='sub-desc'><p>A title string.</p>\n<p>Defaults to: <code>&#39;&#39;</code></p></div></li><li><span class='pre'>subtitle</span> : String (optional)<div class='sub-desc'><p>A subtitle string.</p>\n<p>Defaults to: <code>&#39;&#39;</code></p></div></li><li><span class='pre'>confirmation</span> : String (optional)<div class='sub-desc'><p>A string which fades in and out after completion of image upload.</p>\n<p>Defaults to: <code>&#39;&#39;</code></p></div></li><li><span class='pre'>imageInfo</span> : String (optional)<div class='sub-desc'><p>An object containing information about the displayed image which is to be shown in the image&#39;s tooltip.</p>\n<p>Defaults to: <code>{Size: null, Filename: null, Width: null, Height: null}</code></p></div></li><li><span class='pre'>uploadData</span> : Object (optional)<div class='sub-desc'><p>An object containing the parameters needed for the upload action (server-side). If uploadData.Width or uploadData.Height are set, scales is set to true during _create-method</p>\n<p>Defaults to: <code>null</code></p></div></li><li><span class='pre'>uploadButtonText</span> : String (optional)<div class='sub-desc'><p>A string which is set as text for uploader widgets button.</p>\n<p>Defaults to: <code>&#39;{UploadImage}&#39;</code></p></div></li><li><span class='pre'>deleteData</span> : Object (optional)<div class='sub-desc'><p>An object containing the parameters needed for the delete action (server-side).</p>\n<p>Defaults to: <code>null</code></p></div></li><li><span class='pre'>saveData</span> : Object (optional)<div class='sub-desc'><p>An object containing the parameters needed for the save action (server-side). Some upload actions do not actually save the uploaded image on the server themselves.</p>\n<p>Defaults to: <code>null</code></p></div></li><li><span class='pre'>scaleText</span> : String (optional)<div class='sub-desc'><p>A string to show in the first line of the image uploader&#39;s checkbox. The second line will be rendered according to the properties passed in the Width and Height properties of the uploadData option. Note that, if this is not set at creation of the widget, the respective checkbox and label will not be added to the DOM.</p>\n<p>Defaults to: <code>&#39;&#39;</code></p></div></li><li><span class='pre'>deleteText</span> : String (optional)<div class='sub-desc'><p>A string for delete link.</p>\n<p>Defaults to: <code>{DeleteFile}</code></p></div></li><li><span class='pre'>onUpload</span> : Function (optional)<div class='sub-desc'><p>A function to be called after an image was uploaded (and saved) to the server. The callback function receives the imagePath and imageInfo of the uploaded image as arguments.</p>\n<p>Defaults to: <code>null</code></p></div></li><li><span class='pre'>onDelete</span> : Function (optional)<div class='sub-desc'><p>A function to be called after an image was deleted from the server. The callback function receives no arguments.</p>\n<p>Defaults to: <code>null</code></p></div></li><li><span class='pre'>onComplete</span> : Function (optional)<div class='sub-desc'><p>A function to be called after ALL images have been uploaded.</p>\n<p>Defaults to: <code>null</code></p></div></li></ul></div></div></div></div></div></div></div>","meta":{}});